package com.antai.sport.http.server.management.api.business.course.controller;

import com.antai.sport.http.server.common.base.Result;
import com.antai.sport.http.server.management.api.business.course.dto.CoursePageDTO;
import com.antai.sport.http.server.management.api.business.course.service.CourseService;
import com.antai.sport.http.server.management.api.business.course.vo.CoursePageVO;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

import static com.antai.sport.http.server.common.util.ResultUtil.success;

@RestController
@RequestMapping("course")
public class CourseController {

    @Resource
    private CourseService courseService;

    @PostMapping("/page")
    public ResponseEntity<Result<CoursePageVO>> getCoursePage(@RequestBody CoursePageDTO dto) {
        return success(courseService.getCoursePage(dto));
    }

    @PutMapping("/{id}")
    public ResponseEntity<Result> changeCourseStatus(@PathVariable Long id) {
        courseService.changeCourseStatus(id);
        return success();
    }

    @DeleteMapping("/{id}")
    public ResponseEntity<Result> deleteCourse(@PathVariable Long id) {
        courseService.deleteCourse(id);
        return success();
    }

}
